Triage a vulnerability
curl --request PATCH \
--url https://app.gecko.security/api/v1/vulnerabilities/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://app.gecko.security/api/v1/vulnerabilities/{id}"
payload = { "reason": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://app.gecko.security/api/v1/vulnerabilities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"severity": 123,
"type": "<string>",
"cwe": "<string>",
"title": "<string>",
"short_description": "<string>",
"file_path": "<string>",
"confidence_score": 123,
"cvss_vector": "<string>",
"created_at": "<string>",
"scan": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"is_done": true,
"progress": 0,
"programming_language": "<string>",
"branch": "<string>",
"commit_sha": "<string>",
"repository": "<string>",
"vulnerability_counts": {
"critical": 4503599627370495,
"high": 4503599627370495,
"medium": 4503599627370495,
"low": 4503599627370495,
"total": 4503599627370495
},
"created_at": "<string>",
"ended_at": "<string>"
},
"repository": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"name": "<string>",
"provider": "<string>",
"default_branch": "<string>",
"web_url": "<string>",
"last_scan_at": "<string>",
"scan_count": 4503599627370495,
"open_vulnerability_counts": {
"critical": 4503599627370495,
"high": 4503599627370495,
"medium": 4503599627370495,
"low": 4503599627370495
},
"created_at": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Vulnerabilities
Triage a vulnerability
PATCH
/
vulnerabilities
/
{id}
Triage a vulnerability
Authorizations
ApiKeyHeaderBearerAuth
Path Parameters
Body
application/json
Response
Success
Allowed value:
"vulnerability"Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
open, in_progress, fixed, false_positive, accepted_risk Available options:
critical, high, medium, low Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I